#include <bits/stdc++.h>
using namespace std;
int main()
{
    int i,n,dem=0;
    char s[256];
    ifstream f1("KYTUK.INP");
    ofstream f2("KYTUK.OUT");
    f1>>n;
    f1.getline(s,256);
    for(i=1;i<=n;i++)
    {
        f1.getline(s,256);
        int mang[128]={0};
        for(int j=0;j<=strlen(s);j++)
        {
            mang[s[j]]++;
        }
        for(int j=65;j<=90;j++)
        {
            if(mang[j]!=0 || mang[j+32]!=0)
            {
                dem++;
            }
        }
    }
    f2<<dem;
    f1.close();
    f2.close();
    return 0;
}


